%define	name	konference
%define	version 0.1
%define	rel	1.alpha2.6
%define	release	%mkrel %{rel}

Summary:	Video-conferencing for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Video
License:	GPL
Url:		http://developer.berlios.de/projects/konference/
Source0:	%{name}-%{version}alpha2.tar.bz2
Patch0:		konference-0.1alpha2-fix-build.patch
BuildRequires:	kdelibs-devel ffmpeg-devel python-sip desktop-file-utils qt3-devel
BuildRequires:	kdelibs-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Konference is (or better: will be) a video-conferencing application for KDE.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x	--enable-final

%make
 
%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install	--vendor="" \
			--add-category="KDE" \
			--add-category="Network" \
			--add-category="Telephony" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applnk/Utilities/*

rm -f %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%{_bindir}/%{name}
%{_libdir}/kde3/lib*
%{_datadir}/apps/*
#%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/config.kcfg/konference.kcfg
%{_datadir}/services/konference_part.desktop
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png 
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Fri Aug 24 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-1.alpha2.6mdv2008.0
+ Revision: 70987
- cleanups
- fix wrong category in menu (fixes #32749)


* Fri Dec 15 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-1.alpha2.5mdv2007.0
+ Revision: 97316
- qt + laurent + fhs = sucks
- bump
- fix buildrequires
- fix xdg again
- disable libtoolize
- fix build
  fix xdg
- Import konference

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.alpha2.4mdk
- Remove redundant buildRequires

* Sun Dec 25 2005 Anssi Hannula <anssi@mandriva.org> 0.1-0.alpha2.3mdk
- fix x86_64 build

* Fri Jul 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-0.alpha2.2mdk
- fix group

* Thu Jun 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-0.alpha2.1mdk
- initial release (club request)

